@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

body.active {
  overflow: hidden;
}

header {
  background-color: var(--header-background);
  color: var(--text-color);
  font-family: "Montserrat", sans-serif;
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 9999;
  /* overflow: hidden; */
}

header .container {
  display: flex;
  height: 70px;
  align-items: center;
  justify-content: space-between;
}

.navigation__list {
  display: flex;
  align-items: center;
}

.navigation__list li {
  list-style: none;
}

.navigation__list li a {
  color: var(--text-color);
  text-decoration: none;
  padding: 10px 15px;
  font-weight: 600;
  font-size: 15px;
  transition: 0.5s;
  text-transform: uppercase;
}

.navigation__list li a:hover {
  color: var(--link-hover-color);
}

i {
  color: var(--text-color);
}

.search-button {
  width: 20px;
  fill: var(--text-color);
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 10px;
  cursor: pointer;
  transition: 0.5s;
}

.search-form {
  position: relative;
}

.search-button input {
  background-color: transparent;
  outline: none;
  color: #fff;
  padding: 0px 15px;
  background-color: transparent;
  position: absolute;
  right: -30px;
  height: 38px;
  border: none;
  color: #fff;
  padding: 0px 15px;
  cursor: pointer;
  transition: all 0.3s ease;
  border-bottom: 1px solid #000;
  font-size: 16px;
  font-family: sans-serif;
  top: -18px;
}

.search__output {
  position: absolute;
  background-color: #070707;
  right: 54px;
  top: 70px;
  z-index: 999999999;
  width: 255px;
  display: flex;
  flex-wrap: wrap;
  padding: 0 15px;
}

.search__output a {
  width: 100% !important;
  height: 75px !important;
  color: #fff !important;
  margin: 0 !important;
  justify-content: space-between !important;
  border-bottom: 1px solid #616161;
  align-items: unset !important;
  font-size: 14px !important;
  line-height: unset !important;
  padding: 9px 0;
}

.search__output a:hover {
  color: var(--link-hover-color) !important;
}

.search__output a:last-child {
  border-bottom: none !important;
}

.search__output a img {
  height: auto !important;
  width: 50px !important;
}

.search-button input::placeholder {
  color: #000;
}

.search-button input:focus {
  border-bottom: 1px solid #fff;
}

.search-button input:focus::placeholder {
  color: #757575;
}

.search-button:hover {
  fill: var(--link-hover-color);
}

#wpadminbar {
  display: none !important;
}

.logo-block {
  display: flex;
  position: relative;
  align-items: center;
}

.heart-rate {
  max-width: 180px;
  width: fit-content;
  height: 143px;
  position: relative;
  z-index: -1;
  margin: 0px auto;
  top: 44px;
  overflow: hidden;
  left: -24px;
}

.fade-in {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--header-background);
  top: 0;
  right: 0;

  animation: heartRateIn 9-s 4s ease-in infinite;

  /* Gia na katalavw ti ginetai des auto
      border:1px solid red;
      */
}

.logo-block a {
  color: var(--text-color);
  text-decoration: none;
  padding: 10px 15px;
  font-weight: 600;
  font-size: 15px;
  transition: 0.5s;
}

.logo-block a:hover {
  color: var(--link-hover-color);
}

.animated-logo {
  overflow: hidden;
  position: relative;
  width: 220px;
  cursor: pointer;
}

.top-text {
  text-transform: uppercase;
  position: absolute;
  color: #fff;
  right: 37px;
  top: 10px;
  font-family: "Montserrat", serif;
  font-weight: 700;
  font-size: 20px;
  animation: top-text 0.5s 0.2s ease-in-out forwards;
  transform: translateY(-120%);
}

.custom-logo {
  width: 70px;
  height: auto;
  opacity: 0;
  animation: fadeIn 0.5s ease-in-out forwards;
}

.bottom-text {
  text-transform: uppercase;
  position: absolute;
  color: #fff;
  right: 56px;
  bottom: 10px;
  font-family: "Montserrat", serif;
  font-weight: 700;
  font-size: 7px;
  letter-spacing: 3px;
  animation: bottom-text 0.5s 0.2s ease-in-out forwards;
  transform: translateY(140%);
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes top-text {
  from {
    transform: translateY(-120%);
  }
  to {
    transform: translateY(0%);
  }
}

@keyframes bottom-text {
  from {
    transform: translateY(140%);
  }
  to {
    transform: translateY(0%);
  }
}

input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
  -webkit-appearance: none !important;
}

.menu {
  margin-left: -30px;
}

.hide-search {
  display: none;
  position: relative;
  z-index: 9999;
}

.hide-search.show {
  display: unset;
}

.search-svg.hide {
  display: none;
}

.burger-media {
  margin-top: 50px;
  display: none;
  opacity: 0;
  transition: 0.3s ease;
}

.burger-media.show {
  opacity: 1;
}

.burger-media svg {
  width: 30px;
  height: 30px;
}

@media (max-width: 1220px) {
  .menu {
    position: fixed;
    background-color: #fff;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    clip-path: circle(0px at 0 0px);
    transition: all 0.5s ease;
    z-index: 9;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: 0;
    flex-direction: column;
  }

  .burger-media {
    display: block;
  }

  .navigation__list {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 60px;
    height: fit-content;
  }

  .navigation__list li a {
    color: #000;
    text-decoration: none;
    padding: 10px 15px;
    font-weight: 700;
    font-size: 35px;
    transition: 0.5s;
    text-transform: uppercase;
  }

  .menu.open {
    clip-path: circle(100%);
  }

  .navigation__list li a {
    color: #000;
  }

  .burger-button {
    width: 30px;
    height: 25px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    margin-left: 20px;
    z-index: 10;
  }

  .burger-button.active span:first-child,
  .burger-button.active span:last-child {
    position: absolute;
    top: 10px;
    height: 4px;
    background-color: #000;
  }
  .burger-button.active span:first-child {
    transform: rotate(45deg);
  }

  .burger-button.active span:last-child {
    transform: rotate(-45deg);
  }

  .burger-button.active span:nth-child(2) {
    display: none;
  }

  .burger-button span {
    height: 3px;
    width: 100%;
    background-color: #fff;
    border-radius: 1px;
  }

  .media-link {
    display: none;
  }

  .navigation li {
    opacity: 0;
    transition: 0.5s ease;
    transform: scale(0.8);
  }

  .navigation li.show {
    opacity: 1;
    transform: scale(1);
  }
}

@media (max-width: 530px) {
  .search-button .search-field {
    display: none;
    left: 15px;
    width: calc(100% - 85px);
    top: 15px;
  }

  .search-field.show {
    display: unset;
    z-index: 0;
  }

  .animated-logo.hide {
    display: none;
  }

  .search-form {
    position: unset;
  }

  .search-button input {
    border-bottom: 1px solid #fff;
  }

  .search-button input::placeholder {
    color: #757575;
  }

  .search__output {
    width: 100%;
    left: 0;
  }

  .search__output {
    display: none !important;
  }

  .search__output.show {
    display: unset !important;
  }
}
